> ## Documentation Index
> Fetch the complete documentation index at: https://documentation.kotanipay.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Send Token to Crypto Wallet

> Retry multiple failed crypto refunds by providing an array of reference IDs. Gas/fund errors can be retried up to 10 times, other errors up to 4 times. Refunds marked for manual intervention will be skipped.

This endpoint will send token to any crypto wallet address specified.


## OpenAPI

````yaml POST /api/v3/onramp/crypto
openapi: 3.0.0
info:
  title: KOTANI PAY API PLATFORM
  description: ''
  version: '3.0'
  contact: {}
servers:
  - url: https://sandbox-api.kotanipay.io
    description: Sandbox
security: []
tags: []
paths:
  /api/v3/onramp/crypto:
    post:
      tags:
        - OFFRAMP
      summary: Retry Multiple Failed Refunds
      description: >-
        Retry multiple failed crypto refunds by providing an array of reference
        IDs. Gas/fund errors can be retried up to 10 times, other errors up to 4
        times. Refunds marked for manual intervention will be skipped.
      operationId: OffRampController_retryMultipleRefunds_api/v3
      parameters: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - referenceIds
              properties:
                referenceIds:
                  type: array
                  items:
                    type: string
                  description: Array of offramp transaction reference IDs to retry
                  example:
                    - fredrick-ndegwa-1
                    - john-doe-2
      responses:
        '400':
          description: ''
          content:
            application/json:
              schema:
                properties:
                  success:
                    type: boolean
                    example: false
                  message:
                    type: string
                    example: Invalid request
                  data:
                    type: object
                    example: {}
        '401':
          description: ''
          content:
            application/json:
              schema:
                properties:
                  success:
                    type: boolean
                    example: false
                  message:
                    type: string
                    example: Unauthorized
                  data:
                    type: object
                    example: {}
      security:
        - JWT: []
components:
  securitySchemes:
    JWT:
      scheme: bearer
      bearerFormat: JWT
      type: http

````